Live 9 is not compatible with macOS 10.15 Catalina

  • Live Versions: 9
  • Operating system: macOS 10.15

The newest version of macOS is 10.15 Catalina (released in October 2019). Live 9 contains certain components which are no longer supported on macOS 10.15. Due to these components, Live 9 is not expected to launch. The last officially supported version of macOS with Live 9 is macOS 10.13 (High Sierra).

We strongly advise not to update your operating system to macOS 10.15 if you wish to continue using Live 9. We will not be releasing any further updates for Live 9. Another option is to dual-boot your Mac, so you can run two different versions of macOS. See this third party article from Macworld with instructions.

In case you have already updated your operating system, we recommend that you roll-back to your previous operating system in order to keep using Live 9.

Note: Live 10.1.2 is fully compatible with macOS 10.15 Catalina.

Check MacOS Compatibility with Live for full details on all Live versions and their compatibility with macOS.

Further Reading

This third party article on CDM goes into more detail about the updates in Catalina: